<form name="form" novalidate autocomplete="off">

	<div id="top_of_dialog">
		<strong ng-show="mode == 'new'">Nuova Configurazione Mandato</strong>
		<strong ng-show="mode != 'new'">Modifica Configurazione Mandato</strong>		
	</div>

	<div style="margin-top: 15px">
		<table class="table table-bordered blockContainer showInlineTable equalSplit">
			<thead>
				<tr>
					<th class="blockHeader" colspan="2">Inserimento dati</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.mandato.$invalid">*</span>MANDATO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<select name="mandato" id="mandato" ng-model="selectedMandato" 
								ng-options="item.mandataria.nominativo + ' - ' + item.mandante.nominativo for item in ctrl.mandati track by item.id" required
								ng-change="selectMandato()">
								</select>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.dsp.$invalid">*</span>DSP
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<select name="dsp" id="dsp" ng-model="selectedDsp" ng-options="item.name for item in ctrl.dspList track by item.idDsp" required>
								</select>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.utilization.$invalid">*</span>TIPO UTILIZZO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<select name="utilization" id="utilization" ng-disabled="selectedDsp === undefined"  ng-model="selectedUtilization" ng-options="item.name for item in ctrl.utilizationList | filter: filterUtilizationByDsp() track by item.idUtilizationType" required>
								</select>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px" style="width: 160px;">
							<span class="redColor" ng-show="form.offer.$invalid">*</span>OFFERTA COMMERCIALE
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
							<select name="offer" id="offer" ng-disabled="selectedUtilization === undefined" ng-model="selectedOffer" ng-options="item.offering for item in ctrl.commercialOffersList | filter: filterOffersByDspAndUtilization() track by item.idCommercialOffering" required>
								</select>
							</span>
						</div>
					</td>	
				</tr>									
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.countryName.$invalid">*</span>TERRITORIO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span10">
								<select name="countryName" id="countryName" ng-model="selectedCountry" ng-options="item.name for item in ctrl.countries track by item.idCountry" required>
								</select>
							</span>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.validFrom.$invalid">*</span>DATA INIZIO VALIDIT&Aacute;
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid" style="max-width: 450px;">
						<input type="text" class="input-large ngdialog-input ctrl_validFrom" style="width: 100px"
							name="validFrom" required ng-model="validaDa" ng-change="changeDataInizioValidita()"
							style="width:210px; height: 28px;">
						<script type="text/javascript">
							$(".ctrl_validFrom").datepicker({
							format: 'dd-mm-yyyy',
							language: 'it',
							autoclose: true,
							todayHighlight: true
							});
						</script>
						</div>
					</td>
				</tr>
				<tr>
					<td class="fieldLabel medium" nowrap>
						<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.validTo.$invalid">*</span>DATA FINE VALIDIT&Aacute;
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid" style="max-width: 450px;">
						<input type="text" class="input-large ngdialog-input ctrl_validTo" ng-change="changeDataFineValidita()" style="width: 100px"
							name="validTo" ng-model="validaA" style="width:210px; height: 28px;">
						<script type="text/javascript">
							$(".ctrl_validTo").datepicker({
							format: 'dd-mm-yyyy',
							language: 'it',
							autoclose: true,
							todayHighlight: true
							});
						</script>
						</div>
					</td>
				</tr>				
			</tbody>
		</table>
	</div>

	<div style="margin-top: 15px">
		<table width="100%">
			<tr>
				<td>
					<button type="button" class="btn addButton" ng-click="cancel()">
						<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
					</button>
				</td>
				<td align="right">
					<button ng-disabled="form.$invalid || !form.$dirty" class="btn addButton" ng-click="save()">
						<div ng-if="mode=='new'">
							<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Aggiungi</strong>
						</div>
						<div ng-if="mode=='edit'">
							<span class="glyphicon glyphicon-save"></span>&nbsp;&nbsp;<strong>Aggiorna</strong>
						</div>
					</button>
				</td>
			</tr>
		</table>
	</div>
</form>

<script type="text/ng-template" id="errorDialogId">
		<div id="target"  >
			<strong>{{ngDialogData}}</strong>
		</div>
</script>

<script type="text/javascript">
	$('#top_of_dialog')[0].scrollIntoView(true);
</script>